最低購入金額設定プラグイン

最低購入金額設定プラグイン プラグイン

販売価格:500円(税込)

公開日: 2017年3月24日 / 更新日: 2017年9月1日

対応バージョン : 3.0.13以上
3.0系 3.0.13|3.0.14|3.0.15

提供: 有限会社ナインポイント

サポート: info@9point.co.jp

ライセンス: LGPL

商品情報

最低購入金額を設定することが出来ます!

お買い物の合計金額が、設定した金額を下回っている場合、レジに進むことが出来なくなります。
また、カートブロック、ショッピングカート画面に購入金額が不足しているメッセージを表示することが出来ます。

※ご利用されているテンプレート、および独自拡張の内容によっては、メッセージを自動で表示できない場合もございますので、その場合はメッセージ表示箇所をカスタマイズすることも可能です。

最低購入金額設定プラグイン

【最低購入金額設定の管理画面】

管理画面左メニューの「設定」→「基本情報設定」の一番下の項目に新規メニューとして「最低購入金額設定」が追加されます。
最低購入金額機能を使用する場合は、「最低購入金額機能」の「有効」ボタンを選択して「登録」してください。
「最低購入金額」は最大10桁まで設定することができます。
メッセージは255文字まで入力できます。
メッセージに[最低購入金額]と設定すると、表示時に最低購入金額の値が表示されます。
メッセージに[不足金額]と設定すると最低購入金額と、商品購入金額の差額が表示されます。
「レジへ進む」ボタンの打ち消し線の有無を選択することができます。
メッセージ表示箇所は、カスタマイズすることも出来ます。

最低購入金額設定プラグイン

【メッセージ表示仕様】

オートの場合
カートブロック
「/<a href=[\'\"]{{ url\([\'\"]cart[\'\"]\) }}(.*?)<\/a>/」を正規表現にて検索し、その後ろにメッセージを挿入します。
ショッピングカート画面
「/<div id=[\'\"]total_box__user_action_menu[\'\"](.*?)>/」を正規表現にて検索し、その後ろにメッセージを挿入します。

カスタムの場合
カートブロック
お客様にて「/Cart/index.twig」ファイルに「<div id="slpp_cart_block_message"></div>」を追加頂きます。
「/<div id=[\'\"]slpp_cart_block_message[\'\"]>(.*?)<\/div>/」を正規表現にて検索し、置換します。
ショッピングカート画面
お客様にて「Cart.twig」ファイルに「<div id="slpp_shopping_cart_message"></div>」を追加頂きます。
「/<div id=[\'\"]slpp_shopping_cart_message[\'\"]>(.*?)<\/div>/」を正規表現にて検索し、置換します。

【レジに進むボタン非活性化及び打ち消し線表示仕様】

「/<a href=[\'\"]{{ path\([\'\"]cart_buystep[\'\"]\) }}[\'\"](.*?)>/」を正規表現にて検索し、「disabled="disabled"」及び「style="text-decoration: line-through;"」を挿入します。

【注意事項】

「EC-CUBE本体をカスタマイズされている」もしくは、「他のプラグインを利用されている」場合、当プラグインと競合してしまい正常に機能しない可能性がございます。
メッセージに絵文字や環境依存文字などを使用すると、正常に動作しない可能性がございます。予めご了承ください。

また、ユーザーがお買い物の最中に、最低購入金額設定の有効化や金額変更などを行った場合、設定変更が即座にユーザー側に反映されないことがあります。予めご了承ください。

【免責事項】

本プラグイン(最低購入金額を設定するプラグイン:SetLowestPurchasePrice)の作成には細心の注意を払っておりますが、本プラグインの使用により生じたあらゆる損害等について、理由の如何に関わらず有限会社ナインポイント(当社)は一切の責任を負いません。
ご利用に際しては、お客様にて十分に動作確認を行った後にご利用ください。
また、本プラグインの仕様に関して動作を保証するものではありません。

PAGE TOP

リリースノート

最低購入金額設定プラグインをバージョンアップしました。(2017/09/01)
1.不足金額がカンマ区切りで表示できていなかった為、修正しました。
2.最低購入金額、不足金額のカンマ区切りの有無を選べるようにしました。
最低購入金額設定プラグインをリリースしました。(2017/03/24)
EC-CUBE3.0.13以降に対応した、最低購入金額設定プラグインをリリースしました。

PAGE TOP

最低購入金額設定プラグイン 500円(税込)

PAGE TOP